package RM;

import java.rmi.*;

/**
 * The transaction identifier that was passed is not valid.  
 * Either the client supplied a bogus Xid, or the transaction 
 * has already committed or aborted and cannot be continued.
 */
public class InvalidTransactionException extends Exception 
{
 	public InvalidTransactionException (int transactionId, String msg) 
	{
                super("The transaction " + transactionId + " is invalid:" + msg);
        }
}
