package UnitTests;

import Resources.*;
import RM.*;
import java.rmi.*;

/**
 * Quick and dirty test class to verify that things are generally working.
 * Not at all a complete test suite.
 */
public class ResourceManagerTester 
{

    public ResourceManagerTester() 
    {
    }

    public static void main(String[] args) 
    {
        if (System.getSecurityManager() == null) 
	{
            System.setSecurityManager(new RMISecurityManager());
        }

        if (args.length != 1) 
	{
            System.out.println("Usage: UnitTests.ResourceManagerTester <wcName>");
            System.exit(-1);
        }

        String name = "//localhost/" + args[0];

        try 
	{
	    IResourceManager rm = (IResourceManager)Naming.lookup(name);
            int xid = 0;

            xid = rm.start();
            //int customerId = rm.nermustomer(xid);


	    boolean rc =
            (
		 rm.addFlight(xid, 1, 500, 50) &&
                 rm.addFlight(xid, 1, 250, 75) &&
		 rm.addFlight(xid,198,1000,200)&&

                 rm.addCars(xid,"Seattle",100, 10) &&
		 rm.addCars(xid,"Seattle", 10, 15)
		 /*
                 rm.deleteCars(xid, "Seattle", 25) &&
                 rm.addRooms(xid, "NY", 600, 100) &&
                 rm.addRooms(xid, "Boston", 600, 990) &&
                 
                 rm.reserveRoom(xid, customerId, "Boston") &&
		   rm.reserveRoom(xid, customerId, "Boston")
                 */
	     );

	    /* 
	       System.out.println("CARS "+rm.query(xid,e));
	       System.out.println("@ PRICE "+rm.queryPrice(xid,e));
	       rm.reserve(xid, 1, f);
	       rm.reserve(xid, 1, e); 
	    */
	    System.out.println("CARS "+rm.queryCars(xid,"Seattle"));
	    System.out.println("@ PRICE "+rm.queryCarsPrice(xid,"Seattle"));
	    rm.reserveFlight(xid, 1, 198);
	    rm.reserveCar(xid, 1, "Seattle"); 
	    
            if (rc) 
	    {
                rm.commit(xid);
            }
            else 
	       {
                  rm.abort(xid);
               }

	    System.err.println("TX ID "+xid);
	    System.out.println("CUSTOMER "+rm.queryCustomerInfo(xid,1));
	    
        } catch (RemoteException e) 
	  {
            e.detail.printStackTrace();
	  } 
	  catch (Exception e) 
	  {
            e.printStackTrace();
          }
    }
}